Can't open GEOPROCESSING > OPTIONS

2015-03-08 09:12 AM - Artur -

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20513

Description

After deinstall and remove qgis2. from user folder I've installed fresh QGIS 2.8.1 (firstly x64 version and nextly x86) on my notebook

(WIN8.1 64 bit). Installation process was successfull but when I open GEOPROCESSING > OPTIONS I've got an error:

Wystąpił błąd podczas wykonywania kodu Pythona:

Traceback (most recent call last):

  File "C:/PROGRA~2/QGISWI~1/apps/qgis/./python/plugins\\processing\\ProcessingPlugin.py", line 155, in openConfig

    dlg = ConfigDialog(self.toolbox)

  File "C:/PROGRA~2/QGISWI~1/apps/qgis/./python/plugins\\processing\\gui\\ConfigDialog.py", line 63, in __init__

    self.fillTree()

  File "C:/PROGRA~2/QGISWI~1/apps/qgis/./python/plugins\\processing\\gui\\ConfigDialog.py", line 86, in fillTree

    for setting in settings[group]:

KeyError: u'Modele'

Wersja Pythona:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

Wersja QGIS:

2.8.1-Wien Wien, exported

Lokalizacja Pythona: ['C:/PROGRA~2/QGISWI~1/apps/qgis/./python/plugins\\\\processing',

'C:/PROGRA~2/QGISWI~1/apps/qgis/./python', u'C:/Users/USERNAME/.qgis2/python', u'C:/Users/USERNAME/.qgis2/python/plugins',

'C:/PROGRA~2/QGISWI~1/apps/qgis/./python/plugins', 'C:\\\\PROGRA~2\\\\QGISWI~1\\\\bin\\\\python27.zip',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\bin', 'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win32.egg',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\python_dateutil-2.2-py2.7.egg',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2014.2-py2.7.egg',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.6.1-py2.7.egg',

'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',
u'C:/Users/USERNAME/.qgis2//python', 'C:\\\\PROGRA~2\\\\QGISWI~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

The same version works perfecly on desktop with WIN 7.

History

#1 - 2015-04-10 12:43 PM - Marcin Kawka

I had exactly the same problem under Debian Jessie, using QGIS 2.8.1 and devel version 2.9.

It looks like a localization issue. When I switched my locale from Polish to English the geoprocessing options window works fine (however the interface is in

English now).

#2 - 2015-04-13 04:01 AM - Giovanni Manghi

- Category set to 94

#3 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#4 - 2016-01-12 10:17 AM - Alexander Bruy

- Status changed from Open to Feedback

Still true? Seems fixed with master

#5 - 2016-02-18 11:15 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for lack of feedback. Please reopen if necessary
